* {
  font-family: "Roboto", sans-serif;
  background-color: #222222;
  margin: 0;
  padding: 0;
}

p {
  padding: 20px;
  text-shadow: 2px 2px 1px black;
}

#mast-head {
  display: grid;
  grid-template-columns: auto auto;
  grid-template-rows: auto auto;
}

#title-card {
  white-space: nowrap;
  margin: 40px 20px;
  margin-left: 40px;
  margin-bottom: 60px;
  color: #ebe1d4;
  font-family: "Overpass Mono", monospace;
  /* font-size: calc(1.6rem + 3.2vw); */
  text-shadow: 4px 4px 6px black;
  padding: 20px;
  z-index: 2;
  background-color: rgba(0, 0, 0, 0);
}

#contact-card {
  white-space: nowrap;
  display: flex;
  justify-content: center;
  margin: 20px;
  margin-top: 60px;
  width: 20rem;
  height: 10rem;
  justify-self: end;
  align-self: end;
  background-color: #e8cf27;
  border-radius: 12px;
  border: 5px solid black;
  z-index: 5;
  box-shadow: 0px 0px 20px #8d884b;
}
#contact-card img {
  background-color: #e8cf27;
  width: 3rem;
  height: 3rem;
  align-self: center;
  float: right;
}
#contact-card h2 {
  background-color: #e8cf27;
  font-size: 1.6rem;
  align-self: center;
}
#contact-card a {
  background-color: #e8cf27;
  color: black;
  font-size: 1.6rem;
  align-self: center;
}

#road-graphic {
  margin-top: -42px;
  transform: rotate(0deg);
  overflow: hidden;
  background-color: #424242;
  background-image: url("../images/roadTexture.jpg");
  height: 100px;
  box-shadow: 1px 1px 2px black;
}
#road-graphic .road-stripe {
  margin: 0;
  padding: 0;
  position: absolute;
  box-shadow: 0 1px 2px black;
  background-color: #e8cf27;
  height: 6px;
  border: 1px solid #8d884b;
}
#road-graphic .top-stripe {
  left: 0;
  width: 100%;
  top: 0px;
  box-shadow: 0 2px 10px black;
}
#road-graphic .bottom-stripe {
  left: 0;
  width: 100%;
  top: 94px;
  box-shadow: 0 -2px 10px black;
}
#road-graphic .road-dot {
  position: absolute;
  height: 6px;
  width: 50px;
  background-color: #e8cf27;
  top: 46px;
  border: 1px solid #8d884b;
  box-shadow: 0 0 6px black;
}

#dot-container {
  width: 100%;
}

img {
  max-width: 80%;
  height: auto;

  justify-self: center;
}

#landing {
  margin: 40px;
  display: grid;
  grid-template-columns: 1.6fr 1fr;
  color: #ebe1d4;
  font-size: 1.8rem;
}

.landing-contact {
  display: inline;
  padding: 10px;
  margin: 10px;
  /* background-color: green; */
}
#landing a {
  color: #e8cf27;
  display: inline;
}
#landing #landing-text {
  text-align: center;
  padding: 20px;
  grid-column: 1/1;
  grid-row: 1;
}
#landing img {
  grid: 2/2;
  grid-row: 1;
  width: 100%;
  height: auto;
}
#service-list {
  color: rgb(245, 252, 255);
  /* color: #68b0cf; */
  /* color: yellow; */
  /* color: black; */

  /* padding: 40px; */
  font-size: 2.2rem;
  font-weight: 500;
  /* width: 100%; */
  width: max-content;
  /* margin: 00px; */
  text-align: center;

  /* padding: 20px 40px; */
  margin: auto;
  margin-top: 40px;
  border-radius: 10px;
}

.sep {
  margin-left: 30px;
  margin-right: 30px;
}
@media screen and (max-width: 800px) {
  .sep {
    margin-left: 10px;
    margin-right: 10px;
  }
}

@media screen and (max-width: 1150px) {
  #title-card {
    grid-column: 1/3;
    text-align: center;
    margin: 2px;
    padding: 2px;
    padding-top: 20px;
    padding-bottom: 20px;
    width: 95%;
  }
  #service-list {
    font-size: 1.2rem;

    /* background-color: red; */
    /* padding: 40px 0px; */
  }

  #contact-card {
    margin: 2px;
    padding: 2px;
  }

  #mast-head #contact-card {
    grid-column: 1/3;
    justify-self: center;
    width: 13rem;
    height: 6rem;
  }
  #mast-head #contact-card img {
    width: 2rem;
    height: 2rem;
  }
  #mast-head #contact-card h2 a {
    font-size: 1.2rem;
  }

  #road-graphic {
    margin-top: -60px;
  }

  #landing {
    margin: 30px;
  }
  #landing #landing-text {
    grid-column: 1/3;
    font-size: 1.2rem;
    padding: 0;
  }
  #landing img {
    display: none;
    grid-row-start: 2;
    grid-column: 1/3;
  }
}
@media screen and (max-width: 700px) {
  #mast-head #title-card {
    white-space: normal;
  }
}

#title-tags {
  display: flex;
  flex: 1 1 auto;
  margin: 20px;
}

.title-tag {
  padding: 20px;
  flex-grow: 1;
  background-color: green;
}

#contact-landing {
  padding: 20px;
  /* background-color: rgb(213, 199, 97); */
}

.landing-contact {
  padding: 0;
  margin: 0;
}

@media screen and (max-width: 500px) {
  #service-list {
    font-size: 0.8rem;
    /* width: auto; */
  }

  .landing-contact {
    padding: 0;
    margin: 0;
    font-size: 1rem;
  }
}
